<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1"
 http-equiv="content-type">
  <title>Test Login</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
  <tbody>
    <tr>
      <td rowspan="1" colspan="3">Test Login<br>
      </td>
    </tr>
    <tr>
      <td>open</td>
      <td>/</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>clickAndWait</td>
      <td>link=exact:Log in</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTitle</td>
      <td>Login to Pootle</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Log in</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Register</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Activate</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>type</td>
      <td>document.forms['loginform'].username</td>
      <td>startoff</td>
    </tr>
    <tr>
      <td>type</td>
      <td>document.forms['loginform'].password</td>
      <td>atotallywrongpassword</td>
    </tr>
    <tr>
      <td>clickAndWait</td>
      <td>document.forms['loginform'].Login</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyText</td>
      <td>xpath=//div[@class='intro']</td>
      <td>Login failed</td>
    </tr>
    <tr>
      <td>type</td>
      <td>document.forms['loginform'].username</td>
      <td>startup</td>
    </tr>
    <tr>
      <td>type</td>
      <td>document.forms['loginform'].password</td>
      <td>startup</td>
    </tr>
    <tr>
      <td>clickAndWait</td>
      <td>document.forms['loginform'].Login</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTitle</td>
      <td>User Page for: startup</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Log out</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Log in</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Register</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Activate</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyText</td>
      <td>xpath=//span</td>
      <td>logged in as <b>startup</b></td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>My account</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Admin</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>open</td>
      <td>/login.html</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTitle</td>
      <td>User Page for: startup</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Log out</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Log in</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Register</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Activate</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyText</td>
      <td>xpath=//span</td>
      <td>logged in as <b>startup</b></td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>My account</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Admin</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>clickAndWait</td>
      <td>link=exact:Log out</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTitle</td>
      <td>Pootle</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextNotPresent</td>
      <td>Log out</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Log in</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Activate</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>verifyTextPresent</td>
      <td>Register</td>
      <td>&nbsp;</td>
    </tr>
  </tbody>
</table>
</body>
</html>
